Get site
curl --request GET \
--url https://api.beta.ontoto.com/v1/sites/{uuid} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beta.ontoto.com/v1/sites/{uuid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beta.ontoto.com/v1/sites/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "31d09506-82da-4f9d-960f-a871bae63258",
"orgUuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "River Dam",
"description": "Main monitoring location",
"timezone": "Australia/Hobart",
"gnss": {
"verticalDatum": "AHD",
"geoidModel": "ausgeoid2020",
"baseStations": [
{
"baseStation": {
"id": 7,
"type": "cors",
"name": "HOB2",
"status": "active",
"isEnabled": true
},
"priority": 1,
"isEnabled": true
}
],
"projections": [
{
"projectionType": "standard",
"id": 1,
"label": "MGA94 Zone 55",
"verticalDatum": "AHD",
"heightType": "orthometric",
"srid": 28355
},
{
"projectionType": "proj_string",
"id": 2,
"label": "Local dam grid",
"verticalDatum": null,
"heightType": "ellipsoidal",
"projString": "+proj=tmerc +lat_0=-42.88 +lon_0=147.32 +k=1 +x_0=0 +y_0=0 +ellps=GRS80 +units=m +no_defs"
}
]
}
}{
"message": "Invalid request body"
}{
"message": "Authentication required"
}{
"message": "You do not have permission to access this resource"
}{
"message": "Resource not found"
}{
"message": "Duplicate entry"
}{
"message": "Rate limit of 200 requests per minute exceeded. Retry in 12s."
}{
"message": "Internal server error"
}Sites
Get site
Returns a single site by UUID, including the devices currently assigned to it.
GET
/
sites
/
{uuid}
Get site
Authorizations
Path Parameters
UUID of the site to retrieve
Response
Successful response
A site represents a physical location for devices
Unique identifier
Organisation the site belongs to
Site name
Optional description
IANA timezone override for devices at this site (e.g., 'Australia/Sydney')
Devices assigned to this site, if requested
Show child attributes
Show child attributes
GNSS configuration, base stations, and projections for this site. Null when not configured.
Show child attributes
Show child attributes
Present when this site is shared from another organisation
Show child attributes
Show child attributes